
class CfgPatches
{
	class ADF_Browning
	{
		units[]={"ADF_Browningsoldier"};
		weapons[]={"ADF_BrowningBase","ADF_Browning","ADF_Mk3","ADF_BrowningMag"};
		requiredVersion=1.750000;
	};
};

class CfgModels
{
	
	class default {};
	class Weapon: default {};
	class ADF_Browning: Weapon {};
	class ADF_Mk3: ADF_Browning {};
};


class CfgRecoils
{
	ADF_BrowningpistolRecoil[]={0.005000,0.003000,0.02000,0.125000,0,0};
};


class CfgAmmo
{
	class default {};
	class BulletSingle: default {}
	class ADF_BrowningAmmo: BulletSingle
	{
		hit=9;
		indirectHit=1;
		indirectHitRange=0.100000;	
		
		tracerColor[]= {0.000000,0.000000,0.000000,0.000000};
		tracerColorR[]= {0.000000,0.000000,0.000000,0.000000};
		minRange=1
		minRangeProbab=0.100000;
		midRange=10
		midRangeProbab=0.700000;
		maxRange=100
		maxRangeProbab=0.040000;		
	};
			
}

class CfgWeapons
{
	class Default {};
	class MGun: Default {};
	class Riffle: MGun {};
	class HandGunBase: Riffle {};
	class ADF_BrowningBase: HandGunBase
	{	
		access=2;
		scopeWeapon=0;
		scopeMagazine=0;
		
		aiRateOfFire=0.900000;
		aiRateOfFireDistance=50
				
		model="\ADF_Browning\ADF_Browning.p3d";
		modelOptics="\O\Guns\optika_Beretta92.p3d";
		picture="\ADF_Browning\browning.paa";		
		displayName="Hi-Power 9mm";
		displayNameMagazine="Hi-Power 9mm Mag";
		shortNameMagazine="Hi-Power Mag";
		count=10;
		weaponType=2;
		magazineType=32;
		reloadTime=0.15000;
		magazineReloadTime=6;
		autoReload=0;
		soundContinuous=0;
		sound[]={"\ADF_Browning\Browning.wav",0.131623,0.95000};
		drySound[]={"weapons\M16dry",0.003162,1};
		reloadMagazineSound[]={"\ADF_Browning\reload.wav",0.004623,0.800000};
		magazines[]={"ADF_BrowningMag"};
		recoil="ADF_BrowningpistolRecoil";	
		backgroundReload=0;
		burst=1
		multiplier=1
		autoFire=0
		initSpeed=490;
		dispersion=0.002400;			
		
		ammo="ADF_BrowningAmmo";
		
		revolving="mag";
		revolvingAxis="mag_ax";
	};
	class ADF_Mk3Base: ADF_BrowningBase
	{	
		access=2;
		scopeWeapon=0;
		scopeMagazine=0;
		
		aiRateOfFire=0.900000;
		aiRateOfFireDistance=50
				
		model="\ADF_Browning\ADF_Mk3.p3d";
		modelOptics="\O\Guns\optika_Beretta92.p3d";
		picture="\ADF_Browning\Mk3.paa";		
		displayName="Hi-Power 9mm Mk3";
		displayNameMagazine="Hi-Power 9mm Mag";
		shortNameMagazine="Hi-Power Mag";
		count=10;
		weaponType=2;
		magazineType=32;
		reloadTime=0.15000;
		magazineReloadTime=6;
		autoReload=0;
		soundContinuous=0;
		sound[]={"\ADF_Browning\Browning.wav",0.131623,0.95000};
		drySound[]={"weapons\M16dry",0.003162,1};
		reloadMagazineSound[]={"\ADF_Browning\reload.wav",0.004623,0.800000};
		magazines[]={"ADF_BrowningMag"};
		recoil="ADF_BrowningpistolRecoil";	
		backgroundReload=0;
		burst=1
		multiplier=1
		autoFire=0
		initSpeed=490;
		dispersion=0.002400;			
		
		ammo="ADF_BrowningAmmo";
		
		revolving="mag";
		revolvingAxis="mag_ax";
	};
	class ADF_Browning: ADF_BrowningBase
	{		
		picture="\ADF_Browning\Browning.paa";
		scopeWeapon=2;
		scopeMagazine=0;
	};

	class ADF_Mk3: ADF_Mk3Base
	{		
		picture="\ADF_Browning\Mk3.paa";
		scopeWeapon=2;
		scopeMagazine=0;
	};

	class ADF_BrowningMag: ADF_BrowningBase
	{
		scopeWeapon=0;
		scopeMagazine=2;		
		displayNameMagazine="Hi-Power 9mm Mag";
		shortNameMagazine="BrowningMag";
		picture="\ADF_Browning\gear.paa";		
	};	
		
};	

class CfgVehicles {
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};	
	class Man: Land {};
	class Soldier:Man{};
      class SoldierWB:Soldier{};
      class ADF_Browningsoldier:SoldierWB
	{
		access=2
		displayName="Soldier (Hi-Power Standard)";
		weapons[]={"Throw","Put","ADF_Browning"};
		magazines[]={"ADF_BrowningMag","ADF_BrowningMag","ADF_BrowningMag","ADF_BrowningMag"};
	};
      class ADF_Mk3soldier:ADF_Browningsoldier
	{
		access=2
		displayName="Soldier (Hi-Power Mk3)";
		weapons[]={"Throw","Put","ADF_Mk3"};
		magazines[]={"ADF_BrowningMag","ADF_BrowningMag","ADF_BrowningMag","ADF_BrowningMag"};
	};
}




















